Get Campaign Runs
GET
/api/v1/campaign/{campaign_id}/runsGet campaign workflow runs with pagination, filters and sorting
cURL example
curl -X GET \
'https://app.intracord.hu/api/v1/campaign/{campaign_id}/runs' \
-H "X-API-Key: $INTRACORD_API_KEY"Parameters
| Name | Location | Type | Description |
|---|---|---|---|
campaign_idrequired | path | integer | — |
page | query | integer | Page number (starts from 1) |
limit | query | integer | Number of items per page |
filters | query | object | JSON-encoded filter criteria |
sort_by | query | object | Field to sort by (e.g., 'duration', 'created_at') |
sort_order | query | object | Sort order ('asc' or 'desc') |
authorization | header | object | — |
X-API-Key | header | object | — |
Responses
200Successful Responseapplication/jsonView schema
{
"properties": {
"runs": {
"items": {
"additionalProperties": true,
"type": "object"
},
"type": "array",
"title": "Runs"
},
"total_count": {
"type": "integer",
"title": "Total Count"
},
"page": {
"type": "integer",
"title": "Page"
},
"limit": {
"type": "integer",
"title": "Limit"
},
"total_pages": {
"type": "integer",
"title": "Total Pages"
}
},
"type": "object",
"required": [
"runs",
"total_count",
"page",
"limit",
"total_pages"
],
"title": "CampaignRunsResponse",
"description": "Paginated response for campaign workflow runs"
}404Not found422Validation Errorapplication/jsonView schema
{
"properties": {
"detail": {
"items": {
"$ref": "#/components/schemas/ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}